﻿@using Portal.Models;
@using System.Web.Mvc;
@using System.Web.UI.WebControls;
@using System.Data;
@using Portal.Controllers;         
@model Toyota.Common.Web.MVC.ModelHolder
           
@{     
    Layout = "~/Views/Layout/Dashboard.cshtml";
    ViewBag.Title = "TMMIN Portal"; 
}

@section StartupScript {
    CheckStatusButton();
}

@section Script{        
     function BeginCallbackApprove(s, e) {
        var PCNOPost = ASPxClientControl.GetControlCollection().GetByName('txtPCNO').GetText(); 
        var CommentPost = ASPxClientControl.GetControlCollection().GetByName('CommentText').GetText(); 
        var AprovalStatus = @Html.Raw(Json.Encode(ViewData["AprovalStatus"]));
             var url="";

                switch (AprovalStatus) {
                case "SH":
                     url ="/PCToBeReleased/SHApprove";
                    break;
                case "DPH":
                    url ="/PCToBeReleased/DPHApprove";
                    break;
                case "DH":
                     url ="/PCToBeReleased/DHApprove";
                    break;
                }


        $.ajax({
            type: "POST",
            url: url,
            data: {
                PCNO: PCNOPost,
                Comments: CommentPost
            },
            success: function (result) {
                popupApprove.Hide();
                alert("Approve Successfully");

            },
            error: function (result) {
                alert("Approve Error when update data");
            }
        });
      }

        function ExportToXLS(s, e) {
        $.fileDownload("PcToBeReleased/DownloadExportDetails/", {
            data:{
                   
                },
            successCallback: function(url) {
            },
            failCallback: function(responseHtml, url) {
			alert(responseHtml);
            }
        });
    }

        function BeginCallbackReject(s, e) {
        var PCNOPost = ASPxClientControl.GetControlCollection().GetByName('txtPCNO').GetText(); 
        var CommentsPost = ASPxClientControl.GetControlCollection().GetByName('CommentTxt').GetText(); 
        var AprovalStatus = @Html.Raw(Json.Encode(ViewData["AprovalStatus"]));
        var url="";
                switch (AprovalStatus) {
                case "SH":
                    url ="/PCToBeReleased/SHReject";
                    break;
                case "DPH":
                    url ="/PCToBeReleased/DPHReject";
                    break;
                case "DH":
                    url ="/PCToBeReleased/DHReject";
                    break;
                }
           
        $.ajax({
            type: "POST",
            url: url,
            data: {
                PCNO: PCNOPost,
                Comment: CommentsPost
            },
            success: function (result) {
                popupReject.Hide();
                alert("Reject Successfully");

            },
            error: function (result) {
                alert("Reject Error when update data");
            }
        });

      }

     function BeginGridCallback(s, e) {
        e.customArgs["PCNo"] = txtPCNO.GetValue();
      }

       function CheckStatusButton() {
              var StatusApprove = @Html.Raw(Json.Encode(ViewData["StatusApprove"]));
              var StatusReject = @Html.Raw(Json.Encode(ViewData["StatusReject"]));
              var AprovalStatus = @Html.Raw(Json.Encode(ViewData["AprovalStatus"]));
      
              if ( (StatusApprove == "Enabled") || (StatusReject == "Enabled") ) {
                      ReleaseApproval.SetEnabled(true);
                       Reject.SetEnabled(true);
              } else {
                     ReleaseApproval.SetEnabled(false);
                     Reject.SetEnabled(false);
              }
@*
              if (StatusReject == "Enabled") {
                      Reject.SetEnabled(true);
                         ReleaseApproval.SetEnabled(true);
              } else {
                     Reject.SetEnabled(false);
                     ReleaseApproval.SetEnabled(false);
              }*@

          
       }

    }

<div style="padding-right:0px; padding-bottom:8px">
@*    @Html.DevExpress().RoundPanel(
                settings =>
                {
                    settings.Name = "Header";
                    settings.HeaderText = "Price Confirmation";
                    settings.ShowHeader = true;
                    settings.View = DevExpress.Web.ASPxRoundPanel.View.GroupBox;
                    //settings.Width = Unit.Percentage(61);
                    settings.Width = Unit.Percentage(75);
                    settings.SetContent(() =>
                    {
                        Html.RenderPartial("PriceConfirmationHeader");
                    });
                }).GetHtml()*@
                   <div style="width:73%;border:1px solid #142B94; background-color:#DEECFD; padding:10px;">
                    @Html.Partial("PriceConfirmationHeader")
                    </div>
</div>
<div style="padding-right:0px; padding-bottom:8px">
@Html.Partial("PriceConfirmationApprovalByPCPartial", Model)
</div>
                   

 @Html.DevExpress().RoundPanel(
                settings =>
                {
                    settings.Name = "Footer";
                    settings.HeaderText = "Approval Overview";
                    settings.ShowHeader = true;
                    settings.View = DevExpress.Web.ASPxRoundPanel.View.GroupBox;
                    settings.Width = Unit.Percentage(100);
                    settings.SetContent(() =>
                    {
                        Html.RenderPartial("PriceConfirmationFooter", Model);
                    });
                }).GetHtml()

@Html.DevExpress().PopupControl(settings => {
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Name = "popupApprove";
    settings.HeaderText = "Add Comment To Approve";
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(320);
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(60);
    settings.SetContent(() => {
        Html.RenderPartial("PopupApprove", null);
    });
}).GetHtml()

@Html.DevExpress().PopupControl(settings => {
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Name = "popupReject";
    settings.HeaderText = "Add Comment To Reject";
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(320);
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(60);
    settings.SetContent(() => {
        Html.RenderPartial("popupReject", null);
    });
}).GetHtml()